projects
/
BK-2020-03.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
chore(unitproc):bkFreqWrite:Update debug messages
[BK-2020-03.git]
/
unitproc
/
bkFreqWrite
diff --git
a/unitproc/bkFreqWrite
b/unitproc/bkFreqWrite
index 663c0302e3fa303d44a9f66eb41ef43249d64a5f..9cad3aa52969410bc3208a31a292034f457113e9 100644
(file)
--- a/
unitproc/bkFreqWrite
+++ b/
unitproc/bkFreqWrite
@@
-1,7
+1,7
@@
#!/bin/bash
#!/bin/bash
-# Desc: Writes stdin to disk every 5
minute
s
+# Desc: Writes stdin to disk every 5
second
s
-yell() { echo "
[$(date --iso-8601=ns)]:
$0: $*" >&2; } #o Yell, Die, Try Three-Fingered Claw technique
+yell() { echo "$0: $*" >&2; } #o Yell, Die, Try Three-Fingered Claw technique
die() { yell "$*"; exit 111; } #o Ref/Attrib: https://stackoverflow.com/a/25515370
try() { "$@" || die "cannot $*"; } #o
die() { yell "$*"; exit 111; } #o Ref/Attrib: https://stackoverflow.com/a/25515370
try() { "$@" || die "cannot $*"; } #o
@@
-24,9
+24,9
@@
while [[ $SECONDS -lt "scriptTTL" ]]; do
while read -r line && [[ $SECONDS -lt "$bufferTOD" ]]; do
# Append line to buffer
buffer+=("$line");
while read -r line && [[ $SECONDS -lt "$bufferTOD" ]]; do
# Append line to buffer
buffer+=("$line");
- echo "Processing line:$lineCount";
- echo "Current line :$line";
- echo "buf elem count :${#buffer[@]}";
+ echo "
DEBUG:
Processing line:$lineCount";
+ echo "
DEBUG:
Current line :$line";
+ echo "
DEBUG:
buf elem count :${#buffer[@]}";
((lineCount++));
done;
# Export buffer to asynchronous processing.
((lineCount++));
done;
# Export buffer to asynchronous processing.